date: 2003-10-09 02:25:54
source: http://farm1.static.flickr.com/56/185951493_db15b63487_o.jpg
tags: XP8, Unter Null, bands, people, Marco Visconti, Marko Resurreccion, Paul Toohil, Russia, Volgograd, Razgrom, Cimeries, restricted, One Year Of Dead Channel, showcase, Dead Channel
title: XP8 & Unter Null in Volgograd
url: http://www.flickr.com/photos/umonkey/185951493/
